Bug 684267 - kernel: missing CONFIG_STRICT_DEVMEM=y in S390x [rhel-6.0.z]
Summary: kernel: missing CONFIG_STRICT_DEVMEM=y in S390x [rhel-6.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.1
Hardware: s390x
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 647365
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-11 16:19 UTC by RHEL Product and Program Management
Modified: 2011-04-12 12:49 UTC (History)
11 users (show)

Fixed In Version: kernel-2.6.32-71.21.1.el6
Doc Type: Bug Fix
Doc Text:
On IBM System z systems, user space programs could access the /dev/mem file (which contains an image of main memory), where an accidental memory (write) access could potentially be harmful. To restrict access to memory from user space through the /dev/mem file, the CONFIG_STRICT_DEVMEM configuration option has been enabled for the default kernel. The kdump and debug kernels have this option switched off by default.
Clone Of:
Environment:
Last Closed: 2011-04-08 02:59:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0421 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-04-08 02:56:45 UTC

Description RHEL Product and Program Management 2011-03-11 16:19:14 UTC
This bug has been copied from bug #647365 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 5 errata-xmlrpc 2011-04-08 02:59:16 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0421.html

Comment 6 Martin Prpič 2011-04-12 12:49:05 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
On IBM System z systems, user space programs could access the /dev/mem file (which contains an image of main memory), where an accidental memory (write) access could potentially be harmful. To restrict access to memory from user space through the /dev/mem file, the CONFIG_STRICT_DEVMEM configuration option has been enabled for the default kernel. The kdump and debug kernels have this option switched off by default.


Note You need to log in before you can comment on or make changes to this bug.